:root {
  --text-color: #372a28;

  --color-primary: #55c57a;
  --background-color: #fffdd0;
  --color-primary-light: #7ed56f;
  --color-primary-dark: #28b485;
  --color-1: #f0ead2;
  --color-2: #dde5b6;
  --color-3: #adc178;
  --color-4: #a98467;
  --color-5: #6c584c;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Poppins", sans-serif;
  border: 5px solid var(--color-5);
}

.header {
  height: 35vh;
  grid-column: 1/-1;
  display: flex;
  justify-content: center;
  align-items: center;
}

.heading-1 {
  font-size: 4rem;
  color: var(--color-5);
  font-weight: 400;
}

.heading-1-A {
  font-size: 8rem;
  font-family: "Babylonica";
  font-weight: 400;
}

.page-heading {
  text-align: center;
  padding: 20px;
}

.heading-2 {
  font-size: 3rem;
  color: var(--color-5);
  font-weight: 500;
  text-transform: uppercase;
}

.blog-card-container {
  width: 100%;
  padding: 80px;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 50px;
  justify-items: center;
}

.blog-card {
  width: 20vw;
  height: 20vw;
  border: 2px solid var(--color-5);
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 0.5s;
}

.blog-card-data {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 98%;
  width: 98%;
  text-align: center;
  font-size: 34px;
  font-weight: 600;
  box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.3);
  cursor: pointer;
  text-transform: uppercase;
  color: var(--color-5);
  text-decoration: none;
}

.blog-card:hover {
  transform: scale(1.1);
}

@media screen and (max-width: 1400px) {
  .blog-card-data {
    font-size: 25px;
  }
}

@media screen and (max-width: 1024px) {
  .blog-card-container {
    grid-template-columns: 1fr 1fr;
    row-gap: 100px;
  }
  .blog-card {
    width: 30vw;
    height: 30vw;
  }
}

@media screen and (max-width: 600px) {
  .blog-card-container {
    grid-template-columns: 1fr;
    row-gap: 100px;
  }
  .blog-card {
    width: 60vw;
    height: 40vw;
  }
}

@media screen and (max-width: 500px) {
  .heading-1 {
    font-size: 3rem;
  }

  .heading-1-A {
    font-size: 6rem;
  }
}
@media screen and (max-width: 370px) {
  .heading-1 {
    font-size: 2rem;
  }

  .heading-1-A {
    font-size: 5rem;
  }
}
